## octave-combinatorics 1.0.6

=== DESCRIPTION ===
Name: Combinatorics
Version: 1.0.6
Date: 2008-04-29
Author: Torsten Finke   <fi@igh-essen.com>
Maintainer: Torsten Finke   <fi@igh-essen.com>
Title: Combinatorics.
Description: Combinatorics functions, incuding partitioning.
Depends: octave (>= 2.9.7)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net

## octave-combinatorics 1.0.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Combinatorics
-Version: 1.0.6
-Date: 2008-04-29
+Version: 1.0.8
+Date: 2009-05-06
 Author: Torsten Finke   <fi@igh-essen.com>
 Maintainer: Torsten Finke   <fi@igh-essen.com>
 Title: Combinatorics.

=== src/Makefile ===
## Copyright (C) 2006   Torsten Finke   <fi@igh-essen.com>
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, see <http://www.gnu.org/licenses/>.

# $Revision: 4585 $
# $Date: 2008-02-04 14:47:45 +0100 (man, 04 feb 2008) $
# $RCSfile$

OCT = partint.oct
HDR = partint.h
SRC := $(OCT:.oct=.cc)
BASE := $(OCT:.oct=)

.phony: all
all: $(OCT)

%.oct: %.cc $(HDR)
	mkoctfile -s $<

.phony: test
test: $(BASE)
	for i in $^; do echo "test $$i"; done | octave --silent

.phony: clean
clean: 
	$(RM) $(PART) *.o *.oct octave-core *~

## octave-combinatorics 1.0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Combinatorics
-Version: 1.0.8
-Date: 2009-05-06
+Version: 1.0.9
+Date: 2009-05-18
 Author: Torsten Finke   <fi@igh-essen.com>
 Maintainer: Torsten Finke   <fi@igh-essen.com>
 Title: Combinatorics.

=== debian/changelog ===
octave-combinatorics (1.0.9-3) unstable; urgency=low

  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571837)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 
  * Bump Standards-Version to 3.9.1, no changes needed
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <tweber@debian.org>  Wed, 16 Feb 2011 21:39:37 +0100

octave-combinatorics (1.0.9-2) unstable; urgency=low

  * Upload to unstable 

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 14 Nov 2009 17:42:50 +0100

octave-combinatorics (1.0.9-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Bump standards version to 3.8.2, no changes needed

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 16 Jul 2009 23:31:42 +0200

octave-combinatorics (1.0.8-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 10:52:13 +0200

octave-combinatorics (1.0.7-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 28 Mar 2009 22:13:37 +0100

octave-combinatorics (1.0.7-1) experimental; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream release
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Thomas Weber ]
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Tue, 02 Dec 2008 20:53:52 +0100

octave-combinatorics (1.0.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 11 May 2008 17:50:44 +0200

octave-combinatorics (1.0.5-1) unstable; urgency=low

  * Initial release (closes: #468496)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Fri, 14 Dec 2007 22:55:04 +0100

=== debian/control ===
Source: octave-combinatorics
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.9.1
Homepage: http://octave.sourceforge.net/combinatorics/
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-combinatorics.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-combinatorics.git

Package: octave-combinatorics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends}
Description: combinatorics function for Octave
 This package provides functions to work with combinatorics in Octave,
 a numerical computation software.  It contains functions for doing
 integer partitioning (partcnt and partint), as well as for computing
 the combinations of arbitrary sets of values (combs).
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/combinatorics-([\d.]+)\.tar\.gz\?download
